/** @internal */
import type { CID } from "multiformats/cid";
import { File } from "../types.js";
import { AddResult, FileContent } from "../../ipfs/index.js";
export declare abstract class BaseFile implements File {
    content: FileContent;
    readOnly: boolean;
    constructor(content: FileContent);
    put(): Promise<CID>;
    updateContent(content: FileContent): Promise<this>;
    abstract putDetailed(): Promise<AddResult>;
}
export default BaseFile;
